default['vs']['version']= "2015"

case node[:vs][:version]
	when "2015"
		default['vs']['ec2helper_iso']['volume_name'] = "vs2015_3_pro_enu"
		default['vs']['iso_name'] = "vs2015.3.pro_enu.iso"
		default['vs']['remote_file']['path'] = "#{Chef::Config[:cache_path]}"
		default['vs']['remote_file']['source'] = "http://download.microsoft.com/download/e/b/c/ebc2c43f-3821-4a0b-82b1-d05368af1604/#{default[:vs][:iso_name]}"
	else
		default['vs']['installer_filename'] = "mu_visual_studio_professional_2017_version_15.1_x86_x64_10254675.exe"
		default['vs']['installer_source'] = "https://s3.amazonaws.com/d2d2d2d2d2d2/Software/#{node[:vs][:installer_filename]}"
		default['vs']['installer_checksum'] = "eb4fc0a0c9c55afdf86cf4d53625a41f554a4a49a7edcac6c9cfdfdc34fe1722"
		default['vs']['installer_path'] = "#{Chef::Config[:cache_path]}/#{node[:vs][:installer_filename]}"

end

